#include "Blog_MyAsset.h"
#include "MyAsset.h"

UMyAsset::UMyAsset(const FObjectInitializer& ObjectInitializer)
	: Super(ObjectInitializer)
{
}

void UMyAsset::Serialize(FArchive& Ar)
{
	Super::Serialize(Ar);

	static const int32 MyVersion = 1;
	static const FGuid MyGUID(111, 222, 333, 444);
	static FCustomVersionRegistration RegisterMyAssetCustomVersion(MyGUID, MyVersion, TEXT("MyAssetVersion"));
	Ar.UsingCustomVersion(MyGUID);

	if(Ar.IsSaving() || (Ar.IsLoading() && (MyVersion <= Ar.CustomVer(MyGUID))))
	{
		Ar << ValueX;
	}
}
