#pragma once
#include "MyAsset.generated.h"

UCLASS()
class UMyAsset : public UObject
{
	GENERATED_UCLASS_BODY()

	virtual void Serialize(FArchive& Ar) override;

public:
	UPROPERTY(EditAnywhere)
	int32 ValueA;

	UPROPERTY(EditAnywhere)
	int32 ValueB;

	UPROPERTY(EditAnywhere)
	int32 ValueC;

	UPROPERTY(EditAnywhere, Transient)
	int32 ValueX;

#if WITH_EDITORONLY_DATA
	UPROPERTY(EditAnywhere, Instanced, Category = Reimport)
	class UAssetImportData* AssetImportData;
#endif
};
