#include "Blog_MyAsset.h"
#include "MyAssetEditor.h"

TSharedRef<FMyAssetEditor> FMyAssetEditor::CreateEditor(
	const EToolkitMode::Type Mode,
	const TSharedPtr< IToolkitHost >& InitToolkitHost,
	UObject* ObjectToEdit,
	FGetDetailsViewObjects GetDetailsViewObjects
	)
{
	TSharedRef<FMyAssetEditor> NewEditor(new FMyAssetEditor());

	TArray<UObject*> ObjectsToEdit;
	ObjectsToEdit.Add( ObjectToEdit );
	NewEditor->InitEditor( Mode, InitToolkitHost, ObjectsToEdit, GetDetailsViewObjects );

	return NewEditor;
}
